#!/bin/bash


# Copyright (C) 2004-2010 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana - C3SL/UFPR
#
# This file is part of le-base
#
# le-base is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
# USA.

# This script will edit a default installation of Kubuntu desktop

mount -t proc none /proc
mount -t sysfs none /sys
mount -t devpts none /dev/pts

export HOME=/root
export LC_ALL=C

dbus-uuidgen > /var/lib/dbus/machine-id
#ln -s /bin/true /sbin/initctl
#------------------------------------------------------------------------------
#edit distro

rm -f /etc/apt/sources.list.d/le-repos.list
echo "deb http://repositorio.mec.gov.br mec 3.0" \
    >> /etc/apt/sources.list.d/le-repos.list
echo "deb http://windu.c3sl.ufpr.br/le le-unstable main" \
    >> /etc/apt/sources.list.d/le-repos.list

for user in $(grep "home/.*/sh" /etc/passwd | cut -d ':' -f1); do
    userdel $user --remove
done

useradd professor -p professor
adduser professor admin
useradd aluno1 -p aluno1
useradd aluno2 -p aluno2
useradd aluno3 -p aluno3

apt-get -y --force-yes update
apt-get -y --force-yes remove --purge $(cat /root/remove.list)
apt-get -y --force-yes autoremove

#------------------------------------------------------------------------------
aptitude clean

rm -rf /root/.bash_history /tmp/* /var/lib/dbus/machine-id

#dpkg-divert --rename --remove /sbin/initctl

umount /proc
umount /sys
umount /dev/pts

exit 0
