#!/bin/bash

# Copyright (C) 2004-2010 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana - C3SL/UFPR
#
# This file is part of le-base
#
# le-base is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
# USA.

. $(dirname $(readlink -f $0))/common.sh

#------------------------------------------------------------------------------

editDistro()
{
    CHROOTDIR=$TMP/chroot-dir
    mkdir -p $CHROOTDIR
    mount -t ext4 /dev/${DEVICE}1 $CHROOTDIR

    #cp $CHROOTDIR/etc/resolv.conf $CHROOTDIR/etc/resolv.conf.BKP
    cp $CHROOTDIR/etc/hosts $CHROOTDIR/etc/hosts.BKP
    cp /etc/resolv.conf $CHROOTDIR/etc/
    cp /etc/hosts $CHROOTDIR/etc/

    mount --bind /dev $CHROOTDIR/dev

    cp $1 $CHROOTDIR/root
    cp $2 $CHROOTDIR/root
    chroot $CHROOTDIR /root/$(basename $1)
    rm $CHROOTDIR/root/$(basename $1) $CHROOTDIR/root/$(basename $2)

    umount $CHROOTDIR/dev
    rm -f $CHROOTDIR/etc/resolv.conf
    mv -f $CHROOTDIR/etc/hosts.BKP $CHROOTDIR/etc/hosts

    umount $CHROOTDIR
    rm -rf $CHROOTDIR
}

#------------------------------------------------------------------------------
# Sets configuration variables

DISTRO=kubuntu-10.04.1
SCRIPT=$PREFIX/edit-kubuntu.sh
LIST=$PREFIX/remove.list

if [ -n "$1" ]; then
    DEVICE=$1
else
    DEVICE=$(getPrimaryDisk)
fi

#------------------------------------------------------------------------------
# Check ambient integrity

checkUser || exit 1
checkStatus || exit 2

#------------------------------------------------------------------------------
# Init chroot routines

mkdir -p $TMP

editDistro $SCRIPT $LIST

saveImg

exit 0
